Holger's Java API

## com.antelmann.db
Interface DatabaseChangeListener

All Known Implementing Classes:
  DatabaseChangeListener.ClassListener, DatabaseChangeListener.LoggerListener, RemoteDBChangeNotifier

    public interface DatabaseChangeListener

listens for committed changes through DBClassStore objects in a database and propagates the information to its listeners.

Since:
  15. Dezember 2006, 21:06
Author:
  Holger Antelmann
See Also:
  `DatabaseChangeMonitor`, `DBUtils.listenWhileVisible(javax.swing.JComponent, Database, DatabaseChangeListener)`

Nested Class Summary
`static class` `DatabaseChangeListener.ClassListener` allows to easily register an ActionListener for changes on a particular DBEntry class
`static class` `DatabaseChangeListener.LoggerListener` allows to simply log the events

Method Summary
`void` `committedDatabaseChanges(Database<?> db, DBUpdateEvent... events)` called after successfully committing the given DBUpdateEvents on the database.

Method Detail

### committedDatabaseChanges

    @Warning(value="do not directly begin a new transaction when implementing this method")
    void committedDatabaseChanges(Database<?> db,
                                               DBUpdateEvent... events)

  called after successfully committing the given DBUpdateEvents on the database. Implementations must not begin a new transaction directly!

  See Also:
    `TransactionListener.transactionCommitted(DBTransaction)`, `DBVersionedUpdateEvent`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads